Results 1 to 5 of 5

Thread: thruk doesn't start

  1. #1
    Junior Member
    Join Date
    Apr 2015
    Posts
    9

    Thumbs up thruk doesn't start

    hello,

    i tired to install thruk but i have some problems with library perl
    i changed the version of perl
    uninstall cpan, upgrade, re install the libraries
    but alway this error
    and thruk doesn't start
    Any idea , help ,
    [root@]# /usr/bin/thruk -l

    Perl API version v5.16.0 of JSON::XS does not match v5.20.0 at /opt/ActivePerl-5.20/lib/XSLoader.pm line 92.
    Compilation failed in require at /usr/share/thruk/lib/Thruk/Utils/CLI.pm line 19.
    BEGIN failed--compilation aborted at /usr/share/thruk/lib/Thruk/Utils/CLI.pm line 19.
    Compilation failed in require at /usr/bin/thruk line 82.

  2. #2
    Junior Member
    Join Date
    Jun 2015
    Posts
    15
    Did you try to reinstall cpan and then do a
    Code:
    capn JSON::XS

  3. #3
    Junior Member
    Join Date
    Jun 2015
    Posts
    15
    After checking on my system (where thruk is working fine) I have a compatible version of JSON::XS

    JSON::PP (2.27203) - JSON::XS compatible pure-Perl module.

    You can list your perl module using pmall

    The executable is in the bin folder (no need to compile it)

  4. #4
    Junior Member
    Join Date
    Jun 2015
    Posts
    15
    I'm running Perl version 5.18.2 by the way

  5. #5
    Junior Member
    Join Date
    Apr 2015
    Posts
    9
    thanks i installed thruk via omd and it worked

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •